using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectShoeShop.Entities;

namespace ProjectShoeShop.Repositories;

public interface IShoesRepository
{
    IEnumerable<Shoes> ReadShoes();

    Shoes ReadShoesById(int id);

    void CreateShoes(Shoes shoes);

    void UpdateShoes(Shoes shoes);

    void DeleteShoes(int id);
}
